# Interface TestFinishEvent

All Superinterfaces:
  `FinishEvent, ProgressEvent, TestProgressEvent`

@Incubating public interface TestFinishEvent extends TestProgressEvent, FinishEvent
An event that informs about a test having finished its execution. You can query the result of the test using `getResult()`.

Since:
  2.4

## Method Summary

Modifier and Type
Method
Description
`TestOperationResult`
`getResult()`
Returns the result of the finished test operation.

### Methods inherited from interface ProgressEvent

`getDisplayName, getEventTime`

### Methods inherited from interface TestProgressEvent

`getDescriptor`

## Method Details

### getResult

TestOperationResult getResult()
Returns the result of the finished test operation. Currently, the result will be one of the following sub-types:

- `TestSuccessResult`
- `TestSkippedResult`
- `TestFailureResult`

Specified by:
  `getResult` in interface `FinishEvent`
Returns:
  the result of the finished test operation